> ## Documentation Index
> Fetch the complete documentation index at: https://developer.setle.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Calculation Job Details

> Returns one detailed calculation job, including metadata.



## OpenAPI

````yaml GET /v1/calculation-jobs/{calculation_job_id}
openapi: 3.0.0
info:
  title: Setle API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.setle.app
security: []
tags: []
paths:
  /v1/calculation-jobs/{calculation_job_id}:
    get:
      tags:
        - Calculation Job
      description: Returns one detailed calculation job, including metadata.
      operationId: PublicCalculationJobsApiController_getCalculationJob
      parameters:
        - name: calculation_job_id
          required: true
          in: path
          example: 90e6ee5b-3ae1-4c22-88d0-271e228a52ee
          schema:
            type: string
      responses:
        '200':
          description: Successfully processed request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCalculationJobDetailDto'
        '500':
          description: Request failed because of internal server error(s).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorHttpException'
      security:
        - bearer: []
components:
  schemas:
    GetCalculationJobDetailDto:
      type: object
      properties:
        id:
          type: string
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        external_id:
          type: string
        deactivated_at:
          format: date-time
          type: string
        calculation_job_type:
          enum:
            - EPC_DOCUMENT_PROCESSING
            - ENERGY_EFFICIENCY_INDICATION
            - SUGGESTED_RENOVATION_TRAJECTORY_CALCULATION
          type: string
        calculation_job_status:
          enum:
            - NOT_STARTED
            - RUNNING
            - FINISHED
            - FAILED
            - STOPPED
          type: string
        metadata:
          type: object
        estate_id:
          type: string
        name:
          type: string
        description:
          type: string
        expires_at:
          format: date-time
          type: string
        published_at:
          format: date-time
          type: string
      required:
        - id
        - created_at
        - updated_at
        - external_id
        - deactivated_at
        - calculation_job_type
        - calculation_job_status
        - metadata
        - estate_id
        - name
        - description
        - expires_at
        - published_at
    InternalServerErrorHttpException:
      type: object
      properties:
        statusCode:
          type: number
          example: 500
        error:
          type: string
          example: Internal Server Error
      required:
        - statusCode
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````